Page MenuHomePhabricator

[llvm-objdump][test] Move binary format specific tests under COFF/ ELF/ MachO/ XCOFF/ wasm/
ClosedPublic

Authored by MaskRay on Mar 6 2020, 10:03 PM.

Diff Detail

Event Timeline

MaskRay created this revision.Mar 6 2020, 10:03 PM
Herald added a project: Restricted Project. · View Herald Transcript
grimar accepted this revision.Mar 7 2020, 2:11 AM

LGTM. Please wait for another reviewers too.

This revision is now accepted and ready to land.Mar 7 2020, 2:11 AM

There seem to be a lot of files that have moved which still have "coff" etc in their file names. I think we can simplify the names in many cases. I'm okay if you want to put that in a separate change if it requires test changes however.

Also, should the xcoff files be put under an XCOFF directory? There is a similar distinction in the source code layout.

MaskRay updated this revision to Diff 249102.Mar 9 2020, 8:01 AM
MaskRay retitled this revision from [llvm-objdump][test] Move binary format specific tests under COFF/ ELF/ MachO/ wasm/ to [llvm-objdump][test] Move binary format specific tests under COFF/ ELF/ MachO/ XCOFF/ wasm/.

Add XCOFF/ and simplify some coff-* filenames.

MaskRay updated this revision to Diff 249104.Mar 9 2020, 8:04 AM

Add back missing files

This revision was automatically updated to reflect the committed changes.
Harbormaster completed remote builds in B48552: Diff 249102.